package com.face.attachment.mapper;

import com.face.attachment.entity.FaceInfo;
import java.util.List;
import com.face.attachment.vo.FaceInfoPageRequestVO;
import com.face.attachment.vo.FaceInfoPageResponseVO;
import com.face.attachment.vo.FaceInfoTxRequestVO;
import com.face.global.mapper.GlobalBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FaceInfoMapper extends GlobalBaseMapper<FaceInfo, String> {
    List<FaceInfoPageResponseVO> pageAll(@Param("page") FaceInfoPageRequestVO pageRequestVO);

    Long pageCountAll(@Param("page") FaceInfoPageRequestVO pageRequestVO);

    List<FaceInfoTxRequestVO> queryAllActivity();

    List<FaceInfo> queryAllFaceInfo(@Param("vo") FaceInfoTxRequestVO vo);
}